Subject: Re: [linux-pm] Re: [RFC] powermac: proper sleep management

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 13 Nov 2007 07:56:38 +1100

On Mon, 2007-11-12 at 15:40 -0500, Alan Stern wrote:
> On Tue, 13 Nov 2007, Benjamin Herrenschmidt wrote:
> 
> > 
> > On Mon, 2007-11-12 at 17:32 +0100, Johannes Berg wrote:
> > > > Looks good to me, +/- a couple of things:
> > > > 
> > > >  - We _REALLY_ want the freezer to be optional and not enabled by
> > > > default on PowerPC. Maybe make it a compile option ?
> > > 
> > > Well, Alan is going to tell you that USB will break. If we need
> > > confirmation for that I can do the test he suggested to you or Paul a
> > > while ago.
> > 
> > Then USB is broken today on powermacs and need to be fixed. We had a
> > clear agreement at KS this year that the freezer was at best a band-aid
> > and that drivers -had- to be fixed to cope regardless.
> 
> More accurately, freezing user tasks is at best a band-aid.  However 
> some kernel threads do need to be frozen, and keeping the freezer 
> around for their use makes sense.  It has less overhead -- I think 
> -- than adding new code to do the freezing in each of these threads.

I remember fixing various issues so that khubd would be safe when non
frozen (among other things) a while ago. Did you guys break it all
again ?

Ben.